package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF68D extends MwfRequest<MWF68D, MWF68DResponse> {

    @Parameter(name = "Cache_Pouzit")
    MWF68D cachePouzit(Long cachePouzit);
    @Parameter(name = "CisloKaretnihoUctu")
    MWF68D cisloKaretnihoUctu(Long cisloKaretnihoUctu);
    @Parameter(name = "CisloKarty")
    MWF68D cisloKarty(Long cisloKarty);
    @Parameter(name = "DSDatumPristoupeni")
    MWF68D dSDatumPristoupeni(java.util.Date dSDatumPristoupeni);
    @Parameter(name = "DSKodDistribucnihoKanalu")
    MWF68D dSKodDistribucnihoKanalu(String dSKodDistribucnihoKanalu);
    @Parameter(name = "KodDS")
    MWF68D kodDS(String kodDS);
}
